Main Page Class Hierarchy Data Structures File List Data Fields Globals

# PVAuthorEngineFactory Class Reference

`#include <pvauthorenginefactory.h>`

## Static Public Methods
OSCL_IMPORT_REF PVAuthorEngineInterface * | CreateAuthor (PVCommandStatusObserver *aCmdStatusObserver, PVErrorEventObserver *aErrorEventObserver, PVInformationalEventObserver *aInfoEventObserver)
OSCL_IMPORT_REF bool | DeleteAuthor (PVAuthorEngineInterface *aAuthor)

## Detailed Description

PVAuthorEngineFactory Class

PVAuthorEngineFactory class is a singleton class which instantiates and provides access to pvAuthor engine. It returns an PVAuthorEngineInterface reference, the interface class of the pvAuthor SDK.

The application is expected to contain and maintain a pointer to the PVAuthorEngineInterface instance at all time that pvAuthor engine is active.

## Member Function Documentation

OSCL_IMPORT_REF PVAuthorEngineInterface* PVAuthorEngineFactory::CreateAuthor | ( | PVCommandStatusObserver * | aCmdStatusObserver,
|  | PVErrorEventObserver * | aErrorEventObserver,
|  | PVInformationalEventObserver * | aInfoEventObserver
| ) | `[static]`

  | Creates an instance of a pvAuthor engine. If the creation fails, this function will leave. Parameters:
  aCmdStatusObserver | The observer for command status
  aErrorEventObserver | The observer for unsolicited error events
  aInfoEventObserver | The observer for unsolicited informational events
Returns: A pointer to an author or leaves if instantiation fails

OSCL_IMPORT_REF bool PVAuthorEngineFactory::DeleteAuthor | ( | PVAuthorEngineInterface * | aAuthor | ) | `[static]`

  | This function allows the application to delete an instance of a pvAuthor and reclaim all allocated resources. An author can be deleted only in the idle state. An attempt to delete an author in any other state will fail and return false. Parameters:
  aAuthor | The author to be deleted.
Returns: A status code indicating success or failure.

The documentation for this class was generated from the following file:

- pvauthorenginefactory.h